BinaryDocValuesField (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.document, class: BinaryDocValuesField

Package org.apache.lucene.document

# Class BinaryDocValuesField

java.lang.Object
org.apache.lucene.document.Field
org.apache.lucene.document.BinaryDocValuesField

All Implemented Interfaces:
  `IndexableField`

Direct Known Subclasses:
  `DoubleRangeDocValuesField`, `FloatRangeDocValuesField`, `IntRangeDocValuesField`, `LateInteractionField`, `LongRangeDocValuesField`

public class BinaryDocValuesField extends Field
Field that stores a per-document `BytesRef` value.

The values are stored directly with no sharing, which is a good fit when the fields don't share (many) values, such as a title field. If values may be shared and sorted it's better to use `SortedDocValuesField`. Here's an example usage:

       document.add(new BinaryDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  - `BinaryDocValues`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.document.Field

  `Field.Store`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FieldType`
  `TYPE`
  Type for straight bytes DocValues.

  ### Fields inherited from class org.apache.lucene.document.Field

  `fieldsData, name, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinaryDocValuesField(String name, BytesRef value)`
  Create a new binary DocValues field.

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.document.Field

  `binaryValue, fieldType, getCharSequenceValue, invertableType, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, storedValue, stringValue, tokenStream, tokenStreamValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE

    public static final FieldType TYPE
    Type for straight bytes DocValues.

- ## Constructor Details

  - ### BinaryDocValuesField

    public BinaryDocValuesField(String name, BytesRef value)
    Create a new binary DocValues field.
    Parameters:
      `name` - field name
      `value` - binary content
    Throws:
      `IllegalArgumentException` - if the field name is null